Bug 17260 - /dev/md* wrong permissions/group
/dev/md* wrong permissions/group
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: dev (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-05 14:20 EDT by David Thompson
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-05 23:01:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Thompson 2000-09-05 14:20:24 EDT
The raidtools-0.90-6 rpm (and previous) installs its devices with different
permissions than the scsi and ide devices.  I.e.

brw-rw----    1 root     disk       3,   0 May  5  1998 /dev/hda
brw-rw----    1 root     disk       3,   1 May  5  1998 /dev/hda1

vs.

brw-------    1 root     root       9,   0 Feb  7  2000 /dev/md0
brw-------    1 root     root       9,   1 Feb  7  2000 /dev/md1

So, whenever we want to back up an md device we have to go in and chown the
devices to be the same as the hd/sd disks (we do backups as a group disk
user).

Please update the RPM to install the md devices with the same permissions
as the other devices on which one puts file systems.  In a large
installation like ours, the current scheme is a hassle.

Thanks

--
Dave Thompson  <thomas@cs.wisc.edu>

Associate Researcher                    Department of Computer Science
University of Wisconsin-Madison         http://www.cs.wisc.edu/~thomas
1210 West Dayton Street                 Phone:    (608)-262-1017
Madison, WI 53706-1685                  Fax:      (608)-262-6626
--
Comment 1 Nalin Dahyabhai 2000-09-06 16:04:04 EDT
The md devices are being moved into the dev package.  The permissions in the dev
package in Raw Hide (ftp://ftp.redhat.com//pub/rawhide/) are consistent. 
Thanks!

Note You need to log in before you can comment on or make changes to this bug.